com.threerings.whirled.zone.peer.server

## Interface PeeredZoneManager

All Superinterfaces:
  ZoneManager

    public interface PeeredZoneManager
    extends ZoneManager

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.threerings.whirled.zone.server.ZoneManager

`ZoneManager.ResolutionListener`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setShutdownListener(int zoneId, PeeredZoneRegistry.PeerZoneShutdownListener shutdowner)` Registers a shutdown listener with the zone.

### Methods inherited from interface com.threerings.whirled.zone.server.ZoneManager

`bodyDidEnterZone, ratifyBodyEntry, ratifyBodyExit, resolveZone`

### Method Detail

#### setShutdownListener

    void setShutdownListener(int zoneId,
                             PeeredZoneRegistry.PeerZoneShutdownListener shutdowner)

Registers a shutdown listener with the zone.